/**
 * \file portpc.h
 * \version PortPC.h, v 0.0.1 01/10/2007 21:20 vovan
 * \defgroup port_pc <portpc.h>:   
 * \code #include "portpc.h" \endcode
 */

/**
 */
#ifndef PORTPC_H
#define PORTPC_H

#include <avr/io.h>
#include <inttypes.h>

/**
 * \ingroup port_pc
 *    
 */
#define BAUD0 115200

/**
 * \ingroup port_pc
 *     
 */
#define UBRR0V ((F_CPU/(BAUD0*16UL))-1)

/**
 * \ingroup port_pc
 *  USART0
 *
 *  UBRR0     :					<br>
 *  <tt>UBRR0V = ((F_CPU / (BAUD0 * 16UL))-1)</tt>				<br>
 *       5%.							<br>
 *      :							<br>
 *  <tt>REAL_BAUD0 = (int)(F_CPU / (16UL * (UBRR0V + 1)))</tt>	<br>
 *  <tt>BAUD0_ERROR = ((REAL_BAUD / BAUD0 - 1) * 100)</tt>
 */
void usart0_init(void);

/**
 * \ingroup port_pc
 *  "CRUMB128"
 */
void send_usart0(void);


#endif // PORTPC_H
